
--EJECUTAR ESTO SI EL CLIENTE no USA EL BOTON DE OVERHAULT
update equ_trazabilidad
set id_cicloHorometro=(select isnull(min(equ_ciclohorometro.id),0) from equ_ciclohorometro where equ_ciclohorometro.id_equipo=equ_trazabilidad.id_equipo)
where id>0 and active>0

--SE INSERTA TRAZA POR DEFECTO
declare @uid varchar(500)

select @uid=uid from seg_usuario where id=1

insert into equ_trazabilidad
(uid,eid,trazabilidad,fecha_ff,id_equipo,id_tercero,id_sucursal,horometro)
select '@uid'
,'01'
,'TrazaInicial'
,isnull(fechaPuestaMarcha_fh,'1/1/1900')
,equ_equipo.id
,equ_equipo.id_tercero
,equ_equipo.id_sucursal
,isnull(horometroActual,0)
from equ_equipo
	left outer join equ_trazabilidad on equ_equipo.id=equ_trazabilidad.id_equipo
where equ_trazabilidad.id is null


--EJECUTAR ESTO SI TODOS LOS EQUIPOS TIENEN TRAZA
update equ_cicloHorometro
set active=0
from equ_cicloHorometro
where id not in (select id_ciclohorometro from equ_trazabilidad)


update equ_trazabilidad
set id_tipotrazabilidad=7
where id_tipotrazabilidad=0 and active=1 and (id_reporteTecnico>0 or id_evento>0)

--ACTUALIZAR LAS TRAZAS DE TIPO MONTAJE CON ID_ALQUILER COMO TIPO 6
update equ_trazabilidad
set id_tipotrazabilidad=6
where id_tipotrazabilidad=4 and active=1 and id_alquiler>0

update equ_trazabilidad
set active=0
where id_tipotrazabilidad=5 and active=1 and id_alquiler>0
